// pages/myDoctor/myDoctor.js
const app = getApp()
import{myDoctor,delDoctor} from "../../../api/familyDoc"
import {throttle} from "../../../utils/util"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isTriggered:false,
    my_doctor_type:1,
    page:1,
    img_host:'https://oss.prod.applets.igandanyiyuan.com/applet/patient/static',
    pageNumber:10,
    show:false,
    message:"",
    currentId:'',
    isLock:false,
    list:[]
  },
  confirm:throttle(function(event){
    if(event.detail){
      let id=this.data.currentId;
      this.handelDelDoctor(id);
    }
  }),
  delHandle(event){
    let id=event.currentTarget.dataset.id;
    this.setData({
      show:true,
      currentId:id,
      message:"您确定是要删除该问诊医生记录么？"
    })
  },
  goExpertDetail(event){
    let id=event.currentTarget.dataset.id;
    app.method.navigateTo({
      url: '/patient/pages/expertDetail/expertDetail?doctor_id='+id,
    })
  },
  goBack(){
    wx.navigateBack({
      delta: 1,
    })
  },
  handleRefresher(){
    this.setData({
      page:1,
      list:[],
      isLock:false,
    })
    this.handleMyDoctor();
  },
  handelDelDoctor(id){ 
    delDoctor(id).then(data=>{
       let list=this.data.list;
       for (let i = 0; i < list.length; i++) {
         if(list[i].user_doctor.doctor_id==id){
           list.splice(i,1);
           break;
         }; 
       }
       this.setData({
         list:list
       })
       wx.showToast({
         title: '成功删除该问诊医生',
         icon:"none"
       })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  handleMyDoctor(){
    let {pageNumber,my_doctor_type,page}=this.data;
    myDoctor({
      my_doctor_type,
      page,
      per_page:pageNumber
    }).then((data)=>{
       let result=data.data;
        if(result.length==0){
           this.setData({
             isLock:true,
             isTriggered:false
           });
           return false
        }
       this.setData({
        isTriggered:false,
        list:this.data.list.concat(result)
      })
    })
  },
  lower(){
    if(!this.data.isLock){
      this.setData({
        page: ++this.data.page
      })
      this.handleMyDoctor();
    }
  },
  onChange(event) {
     let index=event.detail.index+1;
    this.setData({
      isLock:false,
      list:[],
      page:1,
      my_doctor_type:index
    })
    this.handleMyDoctor();
  },
  onLoad(options) {
   
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
   
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      page:1,
      list:[],
      isLock:false,
      img_host:app.hostConfig().imghost
    })
    this.handleMyDoctor();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})